curl https://production.methodfi.com/payments/pmt_RGACQH7XdfYhC/reversals \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reversals = await method
.payments('pmt_RGACQH7XdfYhC')
.reversals
.list();
reversals = method
.payments('pmt_RGACQH7XdfYhC')
.reversals
.list()
{
"data": [
{
"id": "rvs_A6bmTtFmxQhGQ",
"pmt_id": "pmt_RGACQH7XdfYhC",
"target_account": "acc_1a9e1fbnJ1f3",
"trace_id": null,
"direction": "credit",
"description": "RETRY PYMT",
"amount": 2500,
"fee": null,
"status": "pending",
"error": null,
"estimated_completion_date": "2026-10-07",
"created_at": "2026-10-02T15:00:00.000Z",
"updated_at": "2026-10-02T15:00:00.000Z"
}
]
}
Reversals
List all Reversals
GET
/
payments
/
{pmt_id}
/
reversals
curl https://production.methodfi.com/payments/pmt_RGACQH7XdfYhC/reversals \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reversals = await method
.payments('pmt_RGACQH7XdfYhC')
.reversals
.list();
reversals = method
.payments('pmt_RGACQH7XdfYhC')
.reversals
.list()
{
"data": [
{
"id": "rvs_A6bmTtFmxQhGQ",
"pmt_id": "pmt_RGACQH7XdfYhC",
"target_account": "acc_1a9e1fbnJ1f3",
"trace_id": null,
"direction": "credit",
"description": "RETRY PYMT",
"amount": 2500,
"fee": null,
"status": "pending",
"error": null,
"estimated_completion_date": "2026-10-07",
"created_at": "2026-10-02T15:00:00.000Z",
"updated_at": "2026-10-02T15:00:00.000Z"
}
]
}
Returns the Reversals associated with a Payment, or an empty list if none have been created.
Path Parameters
Returns
Returns a list of Reversal objects.curl https://production.methodfi.com/payments/pmt_RGACQH7XdfYhC/reversals \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reversals = await method
.payments('pmt_RGACQH7XdfYhC')
.reversals
.list();
reversals = method
.payments('pmt_RGACQH7XdfYhC')
.reversals
.list()
{
"data": [
{
"id": "rvs_A6bmTtFmxQhGQ",
"pmt_id": "pmt_RGACQH7XdfYhC",
"target_account": "acc_1a9e1fbnJ1f3",
"trace_id": null,
"direction": "credit",
"description": "RETRY PYMT",
"amount": 2500,
"fee": null,
"status": "pending",
"error": null,
"estimated_completion_date": "2026-10-07",
"created_at": "2026-10-02T15:00:00.000Z",
"updated_at": "2026-10-02T15:00:00.000Z"
}
]
}